Skip to content
Product Docs

List Projects

GET/api/v2/projects

List projects in an organization. Requires organization_id or a project-scoped API key.

Query ParametersExpand Collapse
name: optional string
organization_id: optional string
page_size: optional number
page_token: optional string
Cookie ParametersExpand Collapse
session: optional string
ReturnsExpand Collapse
items: array of Project { id, name, organization_id, 3 more }

The list of items.

id: string

The project’s unique identifier.

name: string

The project’s display name.

organization_id: string

The organization the project belongs to.

created_at: optional string

Creation datetime

formatdate-time
is_default: optional boolean

Whether this project is the default project for its organization.

updated_at: optional string

Update datetime

formatdate-time
next_page_token: optional string

A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.

total_size: optional number

The total number of items available. This is only populated when specifically requested. The value may be an estimate and can be used for display purposes only.

List Projects

curl https://api.cloud.llamaindex.ai/api/v2/projects \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY"
{
  "items": [
    {
      "id": "id",
      "name": "name",
      "organization_id": "organization_id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "is_default": true,
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Returns Examples
{
  "items": [
    {
      "id": "id",
      "name": "name",
      "organization_id": "organization_id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "is_default": true,
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}